Is it possible to upgrade OS on the Plesk server?

Created:

2016-11-16 13:14:16 UTC

Modified:

2017-04-26 12:34:19 UTC

2

Was this article helpful?


Have more questions?

Submit a request

Is it possible to upgrade OS on the Plesk server?

Applicable to:

  • Plesk 12.5 for Linux
  • Plesk 11.0 for Windows
  • Plesk 11.5 for Linux
  • Plesk 12.0 for Linux
  • Plesk 9.x and below for Windows

Symptoms

Is it possible to upgrade OS on the Plesk server?

Resolution

Note: Since Plesk 12.5 Operating system upgrade is supported for certain operating systems. More information is available at KB213410369 .

Upgrading the operating system (for example, Windows 2003 to Windows 2008 or Debian 5.0 to Debian 6.0) on a server with Plesk 12.0.18 and older has not been tested and is not supported. Plesk installation will become inoperable due to differences in available libraries and system components. Furthermore, on Linux, the presence of Plesk packages may cause OS package manager to fail to resolve all dependencies required for OS upgrade.

Installing software updates from OS vendor's repositories (on Linux) or Microsoft security updates (on Windows) is supported and should not cause problems.

If an OS upgrade is required (for example, support for OS has been discontinued by the vendor due to end-of-life policy), it is recommended to set up a new server with the desired OS and latest version of Plesk and use Plesk Migration & Transfer Manager to move Plesk data to the new server.

See also

Plesk Lifecycle policy lists operating systems that are supported by Plesk and those for which support has been discontinued.

Have more questions? Submit a request
Please sign in to leave a comment.